package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[任务时刻天时]
 */
@Component("ionicdemo_TSHourCodeList")
public class TSHourCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_TSHour");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("00");
		item0.setId("00");
		item0.setText("0点");
		item0.setLabel("0点");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("00",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("01");
		item1.setId("01");
		item1.setText("1点");
		item1.setLabel("1点");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("01",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("02");
		item2.setId("02");
		item2.setText("2点");
		item2.setLabel("2点");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("02",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue("03");
		item3.setId("03");
		item3.setText("3点");
		item3.setLabel("3点");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("03",item3);
		CodeItem item4 = new CodeItem();
		item4.setValue("04");
		item4.setId("04");
		item4.setText("4点");
		item4.setLabel("4点");
		codeItemList.add(item4);
		codeList.getCodeItemModelMap().put("04",item4);
		CodeItem item5 = new CodeItem();
		item5.setValue("05");
		item5.setId("05");
		item5.setText("5点");
		item5.setLabel("5点");
		codeItemList.add(item5);
		codeList.getCodeItemModelMap().put("05",item5);
		CodeItem item6 = new CodeItem();
		item6.setValue("06");
		item6.setId("06");
		item6.setText("6点");
		item6.setLabel("6点");
		codeItemList.add(item6);
		codeList.getCodeItemModelMap().put("06",item6);
		CodeItem item7 = new CodeItem();
		item7.setValue("07");
		item7.setId("07");
		item7.setText("7点");
		item7.setLabel("7点");
		codeItemList.add(item7);
		codeList.getCodeItemModelMap().put("07",item7);
		CodeItem item8 = new CodeItem();
		item8.setValue("08");
		item8.setId("08");
		item8.setText("8点");
		item8.setLabel("8点");
		codeItemList.add(item8);
		codeList.getCodeItemModelMap().put("08",item8);
		CodeItem item9 = new CodeItem();
		item9.setValue("09");
		item9.setId("09");
		item9.setText("9点");
		item9.setLabel("9点");
		codeItemList.add(item9);
		codeList.getCodeItemModelMap().put("09",item9);
		CodeItem item10 = new CodeItem();
		item10.setValue("10");
		item10.setId("10");
		item10.setText("10点");
		item10.setLabel("10点");
		codeItemList.add(item10);
		codeList.getCodeItemModelMap().put("10",item10);
		CodeItem item11 = new CodeItem();
		item11.setValue("11");
		item11.setId("11");
		item11.setText("11点");
		item11.setLabel("11点");
		codeItemList.add(item11);
		codeList.getCodeItemModelMap().put("11",item11);
		CodeItem item12 = new CodeItem();
		item12.setValue("12");
		item12.setId("12");
		item12.setText("12点");
		item12.setLabel("12点");
		codeItemList.add(item12);
		codeList.getCodeItemModelMap().put("12",item12);
		CodeItem item13 = new CodeItem();
		item13.setValue("13");
		item13.setId("13");
		item13.setText("13点");
		item13.setLabel("13点");
		codeItemList.add(item13);
		codeList.getCodeItemModelMap().put("13",item13);
		CodeItem item14 = new CodeItem();
		item14.setValue("14");
		item14.setId("14");
		item14.setText("14点");
		item14.setLabel("14点");
		codeItemList.add(item14);
		codeList.getCodeItemModelMap().put("14",item14);
		CodeItem item15 = new CodeItem();
		item15.setValue("15");
		item15.setId("15");
		item15.setText("15点");
		item15.setLabel("15点");
		codeItemList.add(item15);
		codeList.getCodeItemModelMap().put("15",item15);
		CodeItem item16 = new CodeItem();
		item16.setValue("16");
		item16.setId("16");
		item16.setText("16点");
		item16.setLabel("16点");
		codeItemList.add(item16);
		codeList.getCodeItemModelMap().put("16",item16);
		CodeItem item17 = new CodeItem();
		item17.setValue("17");
		item17.setId("17");
		item17.setText("17点");
		item17.setLabel("17点");
		codeItemList.add(item17);
		codeList.getCodeItemModelMap().put("17",item17);
		CodeItem item18 = new CodeItem();
		item18.setValue("18");
		item18.setId("18");
		item18.setText("18点");
		item18.setLabel("18点");
		codeItemList.add(item18);
		codeList.getCodeItemModelMap().put("18",item18);
		CodeItem item19 = new CodeItem();
		item19.setValue("19");
		item19.setId("19");
		item19.setText("19点");
		item19.setLabel("19点");
		codeItemList.add(item19);
		codeList.getCodeItemModelMap().put("19",item19);
		CodeItem item20 = new CodeItem();
		item20.setValue("20");
		item20.setId("20");
		item20.setText("20点");
		item20.setLabel("20点");
		codeItemList.add(item20);
		codeList.getCodeItemModelMap().put("20",item20);
		CodeItem item21 = new CodeItem();
		item21.setValue("21");
		item21.setId("21");
		item21.setText("21点");
		item21.setLabel("21点");
		codeItemList.add(item21);
		codeList.getCodeItemModelMap().put("21",item21);
		CodeItem item22 = new CodeItem();
		item22.setValue("22");
		item22.setId("22");
		item22.setText("22点");
		item22.setLabel("22点");
		codeItemList.add(item22);
		codeList.getCodeItemModelMap().put("22",item22);
		CodeItem item23 = new CodeItem();
		item23.setValue("23");
		item23.setId("23");
		item23.setText("23点");
		item23.setLabel("23点");
		codeItemList.add(item23);
		codeList.getCodeItemModelMap().put("23",item23);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}